# Get Account

Get account information given an account ID.

**Request:**\
`requestType` is *getAccount*\
`account` is the account ID

**Response:**

(S) `unconfirmedBalanceNQT` is the balanceNQT less unconfirmed outgoing transactions, the balance displayed in the client\
(S) `guaranteedBalanceNQT` is the balance (in NQT) of the account with at least 1440 confirmations\
(A) `unconfirmedAssetBalances` is the unconfirmed asset balance of the account\
(S) `effectiveBalanceNXT` is the balance of the account available for forging: the unleased guaranteedBalance of this account plus the leased guaranteedBalance of all lessors to this account\
(S) `accountRS` is the Reed-Solomon address of the account\
(S) `name` is the name of the account\
(S) `forgedBalanceNQT` is the balance (in NQT) that the account has forged\
(S) `balanceNQT` is the minimally confirmed basic balance (in NQT) of the account\
(S) `publicKey` is the public key of the account\
(A) `assetBalances` is the balance of all assets of the account\
(S) `account` is the account number\
(N) `requestProcessingTime` is the the API request processing time (in millisec)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.fwallet.net/account/get-account.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
